# top-most EditorConfig file
root = true

# Default settings for all files
[*]
charset = utf-8
end_of_line = lf
insert_final_newline = true
indent_style = space
indent_size = 2
trim_trailing_whitespace = true

# For Markdown files, don't trim trailing whitespace (karena kadang dipakai untuk line break)
[*.md]
trim_trailing_whitespace = false

# For JSON, YAML, and config files
[*.{json,yml,yaml}]
indent_style = space
indent_size = 2

# For JS, TS, Vue files
[*.{js,ts,vue}]
indent_style = space
indent_size = 2

# For CSS, SCSS, PostCSS
[*.{css,scss,pcss}]
indent_style = space
indent_size = 2
